Cannot add/update description on composite content view
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1573822 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/738
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1573822

Description of problem:
When trying to add a description to a composite content view, it throws below error message:

"An error occurred updating the Content View: Cannot add repositories to a composite content view,Repositories from published
Content Views are not allowed."

Version-Release number of selected component (if applicable):
6.3.1

How reproducible:
Always

Steps to Reproduce:

1. Create a Composite Content View

2. Add repository (composite view) to it.

3. Publish Composite content view

4. Now goto Details tab and try to add description

Actual results:

Below error message:

"An error occurred updating the Content View: Cannot add repositories to a composite content view,Repositories from published
Content Views are not allowed."

Expected results:

Description should be updated to the composite content view
Additional info:

Using hammer or API you can update the description of the composite content view without issue.

While doing so, from webUlI, instead of taking only the description textarea in the form, it captures other information as well.

Associated revisions

Revision f2739a51 - 06/14/2018 09:19 PM - Samir Jha
Fixes #23660 - Add/Update desc on Composite Content view

History

#1 - 05/21/2018 04:36 PM - The Foreman Bot
- Status changed from New to Ready For Testing
https://bugzilla.redhat.com/show_bug.cgi?id=1573822

- Pull request https://github.com/Katello/katello/pull/7389 added

#2 - 05/23/2018 04:13 PM - Samir Jha

- Assignee set to Samir Jha

#3 - 05/23/2018 05:43 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#4 - 06/14/2018 10:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f2739a516c38983ffadd3t5{9346f2475b84e409.
